Updating PHP & Wordpress with old version of Sydney Pro

Hi: My client wants me to update their website to current PHP and Wordpress Versions. It is currently running PHP 5.6, Wordpress 4.9.8 and Sydney Pro 1.57. However they do not want to change anything about the appearance of their website for the time being. Will Sydney Pro 1.57 be compatible with curent version of Wordpress and PHP? I have a license for Sydney Pro 2, but as I understand it, upgrading to that would change fonts, etc. They do not have a child theme.
Thanks, Ed

Hello there,

Thank you for contacting us about our theme Sydney Pro. I am happy to help out.

I can confirm that updating to the newer version of PHP should not break your website settings running on Sydney theme.

Regards,
Kharis
aThemes Support